## putty 0.60+2010-12-08

=== debian/changelog ===
putty (0.60+2010-12-08-1) unstable; urgency=low

  * New experimental development snapshot.
    - Add more possible baud rates to the Unix serial backend (closes:
      #606328).
  * Add ${misc:Depends}.
  * Remove deprecated Encoding keys from desktop files.
  * Remove deprecated Application categories from desktop files.
  * Build with GSSAPI support (using run-time library binding).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Dec 2010 17:54:50 +0000
