## putty 0.61

=== debian/changelog ===
putty (0.61-2) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Sep 2011 14:29:27 +0100

putty (0.61-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-* fields for Alioth changes.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Jul 2011 15:26:33 +0100

putty (0.60+2011-05-09-1) unstable; urgency=low

  * New experimental development snapshot.
    - Compiles cleanly with GCC 4.6 (closes: #625113, #625426).
  * Consistently capitalise SSH in the package description when referring to
    the protocol (closes: #610486).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 May 2011 13:45:39 +0100
