=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,17 @@
 verdef := VER=-DSNAPSHOT="$(version)"
 endif
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+cross :=
+else
+cross := CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
+
 override_dh_auto_build:
-	cd unix && $(MAKE) -f Makefile.gtk $(verdef) \
+	cd unix && $(MAKE) -f Makefile.gtk $(verdef) $(cross) \
 		plink pscp psftp pterm putty puttygen
 	$(MAKE) -C icons cicons pngs
