## putty 0.62

=== macosx/Makefile ===
--- 
+++ 
@@ -174,7 +174,7 @@
 		uxnet.o uxnoise.o uxplink.o uxproxy.o uxsel.o uxser.o \
 		uxsignal.o uxstore.o version.o wildcard.o x11fwd.o 
 
-pscp: be_none.o cmdline.o cproxy.o int64.o logging.o misc.o pgssapi.o \
+pscp: be_ssh.o cmdline.o cproxy.o int64.o logging.o misc.o pgssapi.o \
 		pinger.o portfwd.o proxy.o pscp.o settings.o sftp.o ssh.o \
 		sshaes.o ssharcf.o sshblowf.o sshbn.o sshcrc.o sshcrcda.o \
 		sshdes.o sshdh.o sshdss.o sshgssc.o sshmd5.o sshpubk.o \
@@ -182,7 +182,7 @@
 		time.o timing.o tree234.o uxagentc.o uxcons.o uxgss.o \
 		uxmisc.o uxnet.o uxnoise.o uxproxy.o uxsel.o uxsftp.o \
 		uxstore.o version.o wildcard.o x11fwd.o
-	$(CC) $(ULDFLAGS) -o $@ be_none.o cmdline.o cproxy.o int64.o \
+	$(CC) $(ULDFLAGS) -o $@ be_ssh.o cmdline.o cproxy.o int64.o \
 		logging.o misc.o pgssapi.o pinger.o portfwd.o proxy.o pscp.o \
 		settings.o sftp.o ssh.o sshaes.o ssharcf.o sshblowf.o \
 		sshbn.o sshcrc.o sshcrcda.o sshdes.o sshdh.o sshdss.o \
@@ -192,7 +192,7 @@
 		uxproxy.o uxsel.o uxsftp.o uxstore.o version.o wildcard.o \
 		x11fwd.o 
 
-psftp: be_none.o cmdline.o cproxy.o int64.o logging.o misc.o pgssapi.o \
+psftp: be_ssh.o cmdline.o cproxy.o int64.o logging.o misc.o pgssapi.o \
 		pinger.o portfwd.o proxy.o psftp.o settings.o sftp.o ssh.o \
 		sshaes.o ssharcf.o sshblowf.o sshbn.o sshcrc.o sshcrcda.o \
 		sshdes.o sshdh.o sshdss.o sshgssc.o sshmd5.o sshpubk.o \
@@ -200,7 +200,7 @@
 		time.o timing.o tree234.o uxagentc.o uxcons.o uxgss.o \
 		uxmisc.o uxnet.o uxnoise.o uxproxy.o uxsel.o uxsftp.o \
 		uxstore.o version.o wildcard.o x11fwd.o
-	$(CC) $(ULDFLAGS) -o $@ be_none.o cmdline.o cproxy.o int64.o \
+	$(CC) $(ULDFLAGS) -o $@ be_ssh.o cmdline.o cproxy.o int64.o \
 		logging.o misc.o pgssapi.o pinger.o portfwd.o proxy.o \
 		psftp.o settings.o sftp.o ssh.o sshaes.o ssharcf.o \
 		sshblowf.o sshbn.o sshcrc.o sshcrcda.o sshdes.o sshdh.o \
@@ -236,6 +236,11 @@
 		../puttymem.h ../tree234.h ../windows/winhelp.h \
 		../charset/charset.h
 	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
+be_ssh.o: ../be_ssh.c ../putty.h ../puttyps.h ../network.h ../misc.h \
+		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
+		../puttymem.h ../tree234.h ../windows/winhelp.h \
+		../charset/charset.h
+	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
 cmdgen.o: ../cmdgen.c ../putty.h ../ssh.h ../puttyps.h ../network.h \
 		../misc.h ../puttymem.h ../tree234.h ../int64.h \
 		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
@@ -246,8 +251,3 @@
 		../puttymem.h ../tree234.h ../windows/winhelp.h \
 		../charset/charset.h
 	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
-config.o: ../config.c ../putty.h ../dialog.h ../storage.h ../puttyps.h \
-		../network.h ../misc.h ../windows/winstuff.h ../macosx/osx.h \
-		../unix/unix.h ../puttymem.h ../tree234.h \
-		../windows/winhelp.h ../charset/charset.h
-	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
