=== debian/changelog ===
putty (0.62-9+deb7u3) wheezy-security; urgency=high

  * More robust control sequence parameter handling, including:
    - CVE-2015-5309: Fix a potentially memory-corrupting integer overflow in
      the handling of the ECH (erase characters) control sequence in the
      terminal emulator.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Nov 2015 00:10:04 +0000

putty (0.62-9+deb7u2) stable-security; urgency=high

  * Backport from upstream:
    - MATTA-2015-002: Enforce acceptable range for Diffie-Hellman server
      value.
    - Fix an erroneous length field in SSH-1 key load.
    - CVE-2015-2157: Fix failure to clear sensitive private key information
      from memory (closes: #779488).

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Mar 2015 12:56:58 +0000

putty (0.62-9+deb7u1) stable-security; urgency=high

  * CVE-2013-4206: Buffer underrun in modmul could corrupt the heap.
  * CVE-2013-4852: Negative string length in public-key signatures could
    cause integer overflow and overwrite all of memory (closes: #718779).
  * CVE-2013-4207: Non-coprime values in DSA signatures can cause buffer
    overflow in modular inverse.
  * CVE-2013-4208: Private keys were left in memory after being used by
    PuTTY tools.
  * Backport some general proactive potentially-security-relevant tightening
    from upstream.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Aug 2013 10:11:18 +0100

putty (0.62-9) unstable; urgency=low

  * Backport from upstream (Simon Tatham):
    - Fix handling of non-default numeric keypad modes when Num Lock is on
      (closes: #680261).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Aug 2012 12:58:52 +0100

putty (0.62-8) unstable; urgency=low

  * Backport from upstream (Simon Tatham):
    - Support dead keys and compose sequences (closes: #221786, #250464).

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 15:18:51 +0100

putty (0.62-7) unstable; urgency=low

  * Add System category to pterm.desktop (closes: #678126).
  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Jun 2012 13:28:15 +0100

putty (0.62-6) unstable; urgency=low

  * Backport from upstream (Simon Tatham, Jacob Nevins):
    - Generate keys more carefully, so that when the user asks for an n-bit
      key they always get an n-bit number instead of n-1.  The latter was
      perfectly harmless but kept confusing users (closes: #661152).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Mar 2012 16:09:28 +0000

putty (0.62-5) unstable; urgency=low

  * Ignore failures to generate PNG icons too.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Feb 2012 19:51:39 +0000

putty (0.62-4) unstable; urgency=low

  * Ignore failures to generate XPM icons.  It's not the end of the world,
    and this fails on kFreeBSD due to some apparently undiagnosed
    imagemagick bug.
  * Drop icon-debug.patch, since it didn't especially help anyway.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Feb 2012 15:42:14 +0000

putty (0.62-3) unstable; urgency=low

  * Fix icon-debug.patch to print debug information to stderr, not stdout.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Jan 2012 21:34:28 +0000

putty (0.62-2) unstable; urgency=low

  * Avoid deprecated GLib functions.
  * Add temporary debugging patch to try to figure out why the
    kfreebsd-amd64 build is failing.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Jan 2012 18:14:45 +0000

putty (0.62-1) unstable; urgency=high

  * New upstream release.
    - [SECURITY] Wipe SSH keyboard-interactive replies from memory after
      authentication.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Dec 2011 02:05:49 +0000
