=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.5.9
-Build-Depends: debhelper (>= 7.0.50), pkg-config, libgtk2.0-dev, x11proto-core-dev, libx11-dev, imagemagick, python
-Vcs-Bzr: http://bzr.debian.org/pkg-ssh/putty/trunk
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ssh/putty/trunk
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 7.0.50), pkg-config, libgtk2.0-dev, x11proto-core-dev, libx11-dev, imagemagick, python
+Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-ssh/putty/trunk
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ssh/putty/trunk
 
 Package: pterm
 Section: x11
@@ -14,7 +14,7 @@
 Suggests: putty-doc
 Provides: x-terminal-emulator
 Description: PuTTY terminal emulator
- This is an X terminal emulator based on the popular Windows ssh client,
+ This is an X terminal emulator based on the popular Windows SSH client,
  PuTTY. It supports xterm escape sequences, plus some Linux console
  sequences for colour palette configuration and some DECterm sequences for
  title bar control, and with an appropriate font it supports the UTF-8
@@ -26,7 +26,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, putty-tools
 Suggests: putty-doc
 Description: Telnet/SSH client for X
- This is the Unix port of the popular Windows ssh client, PuTTY. It supports
+ This is the Unix port of the popular Windows SSH client, PuTTY. It supports
  flexible terminal setup, mid-session reconfiguration using Ctrl-rightclick,
  multiple X11 authentication protocols, and various other interesting things
  not provided by ssh in an xterm.
