=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,15 @@
 cross := CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
 override_dh_auto_build:
 	cd unix && $(MAKE) -f Makefile.gtk $(verdef) $(cross) \
+		XFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		plink pscp psftp pterm putty puttygen
-	$(MAKE) -C icons cicons pngs
+	-$(MAKE) -C icons cicons pngs
 
 override_dh_auto_clean:
 	cd unix && $(MAKE) -f Makefile.gtk clean
@@ -34,11 +39,11 @@
 
 override_dh_install:
 	dh_install
-	install -m644 icons/xpmpterm.c $(ptermtmp)/usr/share/pixmaps/pterm.xpm
-	install -m644 icons/xpmputty.c $(puttytmp)/usr/share/pixmaps/putty.xpm
-	install -m644 icons/pterm-32.png \
+	-install -m644 icons/xpmpterm.c $(ptermtmp)/usr/share/pixmaps/pterm.xpm
+	-install -m644 icons/xpmputty.c $(puttytmp)/usr/share/pixmaps/putty.xpm
+	-install -m644 icons/pterm-32.png \
 		      $(ptermtmp)/usr/share/pixmaps/pterm.png
-	install -m644 icons/putty-32.png \
+	-install -m644 icons/putty-32.png \
 		      $(puttytmp)/usr/share/pixmaps/putty.png
 
 override_dh_compress:
