=== debian/changelog ===
putty (0.63-4) unstable; urgency=medium

  * Backport from upstream (Simon Tatham):
    - Fix assertion failure in Unix PuTTYgen exports (LP: #1289176).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2014 12:19:08 +0100

putty (0.63-3) unstable; urgency=medium

  * Use dh-autoreconf, with the aid of a few upstream patches to make things
    work with current autotools.
  * Backport upstream patch to add some assertions in sshzlib.c, fixing
    build with -O3.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2014 12:07:04 +0000

putty (0.63-2) unstable; urgency=low

  * Support parallel builds.
  * Switch to git; adjust Vcs-* fields.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Jan 2014 13:01:57 +0000

putty (0.63-1) unstable; urgency=low

  * New upstream release.
    - CVE-2013-4206: Buffer underrun in modmul could corrupt the heap.
    - CVE-2013-4852: Negative string length in public-key signatures could
      cause integer overflow and overwrite all of memory (closes: #718779).
    - CVE-2013-4207: Non-coprime values in DSA signatures can cause buffer
      overflow in modular inverse.
    - CVE-2013-4208: Private keys were left in memory after being used by
      PuTTY tools.
    - Allow using a bold colour and a bold font at the same time (closes:
      #193352).
    - Use a monotonic clock (closes: #308552).
  * Switch to the Autotools-based build system.
  * Upgrade to debhelper v9.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Aug 2013 04:00:18 +0100

putty (0.62-11) unstable; urgency=low

  * Backport from upstream (Ben Harris, Simon Tatham):
    - Avoid function pointer comparison when using clang.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 15:45:00 +0100

putty (0.62-10) unstable; urgency=low

  * Backport from upstream (Simon Tatham, closes: #701425):
    - Check the return values of setuid and friends.
    - Remove the half-hearted attempt to make the utmp helper process drop
      privileges just before dying of a fatal signal.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Feb 2013 20:36:40 +0000
