=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 %:
-	dh $@
+	dh $@ --with=autoreconf --parallel
 
 ptermtmp = debian/pterm
 puttytmp = debian/putty
@@ -14,27 +14,20 @@
 verdef := VER=-DSNAPSHOT="$(version)"
 endif
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+autoreconf:
+	./mkfiles.pl
+	autoreconf -fi
+	rm -rf autom4te.cache
 
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-cross :=
-else
-cross := CC=$(DEB_HOST_GNU_TYPE)-gcc
-endif
-
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- autoreconf
 
 override_dh_auto_build:
-	cd unix && $(MAKE) -f Makefile.gtk $(verdef) $(cross) \
-		XFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-		plink pscp psftp pterm putty puttygen
+	dh_auto_build -- $(verdef)
 	-$(MAKE) -C icons cicons pngs
 
 override_dh_auto_clean:
-	cd unix && $(MAKE) -f Makefile.gtk clean
+	dh_auto_clean
 	$(MAKE) -C icons clean
 
 override_dh_install:
