=== debian/watch ===
version=3
http://the.earth.li/~sgtatham/putty/latest/putty-(.*)\.tar\.gz
