## putty 0.65

=== debian/changelog ===
putty (0.65-2) unstable; urgency=medium

  * Backport from upstream:
    - Performance: cache character widths returned from Pango (closes:
      #792258).

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Aug 2015 18:47:52 +0100

putty (0.65-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jul 2015 11:18:13 +0100

putty (0.64-1) unstable; urgency=medium

  * New upstream release.
    - Support sharing an SSH connection between multiple instances of PuTTY
      and its tools.
    - Add a command-line and config option to specify the expected host
      key(s).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Jun 2015 11:03:52 +0100

putty (0.63-10) unstable; urgency=medium

  * Backport from upstream:
    - Make kh2reg.py compatible with modern Python.
    - MATTA-2015-002: Enforce acceptable range for Diffie-Hellman server
      value.
    - Fix an erroneous length field in SSH-1 key load.
    - CVE-2015-2157: Fix failure to clear sensitive private key information
      from memory (closes: #779488).

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Mar 2015 12:59:15 +0000

putty (0.63-9) unstable; urgency=medium

  * Backport from upstream (Simon Tatham):
    - Revert the default for font bolding style back to using colours rather
      than fonts (closes: #772948).

 -- Colin Watson <cjwatson@debian.org>  Sat, 13 Dec 2014 10:11:04 +0000

putty (0.63-8) unstable; urgency=medium

  * Backport from upstream (Simon Tatham), suggested by Jacob Nevins:
    - Fix incorrect handling of saved sessions with a dynamic SOCKS tunnel
      bound to a specific protocol (IPv4 or IPv6).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2014 20:47:42 +0100

putty (0.63-7) unstable; urgency=medium

  * Build with all hardening options.  (Thanks, Markus.)

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Aug 2014 00:29:36 +0100

putty (0.63-6) unstable; urgency=medium

  * Backport two upstream patches to fix runaway timer explosions (closes:
    #758473).

 -- Colin Watson <cjwatson@debian.org>  Wed, 20 Aug 2014 21:05:52 +0100

putty (0.63-5) unstable; urgency=medium

  * Backport from upstream (Simon Tatham):
    - Fix an annoying timer-handling warning from current versions of GTK.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Apr 2014 21:57:57 +0100
